Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010446Dwarf FortressDwarf Mode -- Jobs, Animal Handlingpublic2017-12-12 23:122022-08-03 14:22
ReporterHinaichigo 
Assigned ToLoci 
PrioritynormalSeverityminorReproducibilityalways
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product Version0.44.02 
Target VersionFixed in Version 
Summary0010446: Prisoners to be pitted break free and enter combat
DescriptionWhen trying to throw multiple goblins into a pit, it seems that the first to be hauled to the pit is thrown in without issue, but subsequent prisoners attack the hauler leading them, and break free from being hauled/led.

Note that these are normal invaders, not thieves or snatchers. This also occurred with beak dog mounts.
Steps To ReproduceDig a hole, and designate it as a pit. Then assign multiple caged prisoners to the pit. Wait for prisoners to be hauled to the pit.
TagsIntentional/Expected?
Attached Files

- Relationships

-  Notes
(0037304)
chaosvolt (reporter)
2017-12-14 09:36

Obvious questions:
1 Did you make sure your pit is designed so that it can't be climbed out of?
2. Did you make sure you followed the wiki's guide for mass pitting?

If the cage stockpiles aren't all adjacent to the pitting holes (and if the holes don't have hatches) then critters rather obviously won't be dragged around long distances without a fight. Can't restrain them yet, sadly.
(0037308)
Sarmatian123 (reporter)
2017-12-14 16:44
edited on: 2017-12-15 19:23

Even if you build the pit in the exact steps from the wiki guide, it still happens from time to time. Why?

*snip*

(0037315)
Hinaichigo (reporter)
2017-12-15 05:35

The escape occurs as they are being led to the pit, the instant the dwarf takes them out of the cage, so the escapability of the pit design may be irrelevant.

Due to the seeming effect of the timing and the fact that this seldom if ever occurred in older versions, I'm inclined to believe this is unintended.
(0037318)
chaosvolt (reporter)
2017-12-15 09:58
edited on: 2017-12-15 19:23

*snip*

Hinaichigo, the important part of my question was: did you have to lead the prisoners over ANY distance, or were the cages DIRECTLY next to the holes?

(0037319)
Loci (manager)
2017-12-15 19:21

Please keep your comments on-topic (and polite).
(0037321)
Hinaichigo (reporter)
2017-12-15 20:10

The cages are some distance away from the pit, not immediately adjacent to it.
(0037322)
chaosvolt (reporter)
2017-12-15 20:30

> The cages are some distance away from the pit, not immediately adjacent to it.

Cause revealed in literal seconds. See above:

"If the cage stockpiles aren't all adjacent to the pitting holes (and if the holes don't have hatches) then critters rather obviously won't be dragged around long distances without a fight. Can't restrain them yet, sadly. "
(0037323)
Sarmatian123 (reporter)
2017-12-15 21:54
edited on: 2017-12-15 22:02

Mr "*snip*. Stockpile with Goblin in cage is adjacent to pit hole. Everything is done according wiki. Step by step. The Dwarf approaches the cage and pulls goblin to his spot, which most of the time IS NOT adjacent to pit hole. Then Dwarf takes one more step to be adjacent to pit hole and drops Goblin in. And it works. It almost always works. Unless fortress is filled with mud, pools of water, vomit, beer and so on. If slippery floor is a spoiler then edit it please *SPOILER*. Don't edit it *snip* telling people they are off topic, because the only time mass pitting fails 100% in my fortresses is when there is a lot of mud or blood on tiles and Dwarves pass those tiles to pit creatures. I have been playing this game for years now, with numerous embarks, so I know by now from my experience what is causing those mass pitting fails. My solution? Construct tiles over mud, remove those tiles, smooth and suddenly mass pitting works like a clockwork. Dwarves tend to clean blood pools under ground. Above ground... entirely different story.

(0037324)
chaosvolt (reporter)
2017-12-15 22:08

No. Just no. The issue OP has already confirmed that their problem was caused by a known issue, which has nothing to do with this "feature" that you're either sorely mistaken on, or have made up on the spot for Armok knows what reason. There is no other instance where dwarves have been shown to somehow slip or trip. If they go prone, it's either because combat/exhaustion/etc MADE them go prone, or because they needed to do so for pathing reasons.

Either your testing is flawed in some way, or you're making things up for Armok knows what idiotic reason. Either way, I've seen WAY too many issues where people waste everyone's time with false claims they failed to adequately test.
(0037325)
PatrikLundell (reporter)
2017-12-16 03:20

My 0.42.05 experience is that mass pitting is unreliable (and I've stopped trying):
- 8 cages built around a pit with a locked hatch (i.e. single tile hauling distance, if you count the hatch tile, square root of 2 if you count diagonal distance [is that "long"?]).
- Sometimes you can pit all 8, but frequently one of them breaks free, after which all the rest break free as well, even if the first one is put down before the next dorf with a pitting job arrives on the scene.

Regarding any slipping tangent, the only potential slippery substances involved are those produced while putting down the first escaping victim, and thus couldn't be a factor in it escaping.

Regarding distance: I have not investigated if the first escaping victims in the batches may all have been from cages that have a distance of 1.4 tiles from the hatch, i.e. diagonal access. It's possible that mass pitting might work as long as you restrict yourself to cages only in the cardinal directions. Again, I haven't investigated that.
(0037328)
chaosvolt (reporter)
2017-12-16 09:40
edited on: 2017-12-16 09:42

Have you ensured that the pit can't be climbed out of? Mainly via giving the victims a bit of a fall to put up with, and ensure the hatches are well away from the pit's walls.

(0037329)
Sarmatian123 (reporter)
2017-12-16 10:05
edited on: 2017-12-16 10:26

Mass pitting never fails me. DF version 43.05. It always works like clockwork. I keep rigidly with building steps from wiki, while constructing my mass pit (bellow ground, everything smoothed). It is always 9x9 pit. Level bellow is 9x9 empty space and next level bellow is 9x10 smoothed space with constructed 9x10 bridge rising to one side. My mass pit works perfectly as designed and never fails me.

I had numerous embarks. Mostly because I was fighting with low fps and trying the best pathing configurations for my fortress. Though it seems not pathing algorithm hits my fps as 20k+ blocks I put in to build the fortress.

The only times my mass pitting of Goblins and other creatures failed was, when I dug my pit through aquifer and/or had lots of blood pools everywhere. Sometimes I reloaded same safe file time after time to find out which exactly cages failed pitting with exactly which goblins were freed. I found that same goblins were released time after time... after few were dropped bellow. Messing with which Dwarves could and which could not pit Goblins did not help at all. Same cages in same spots failed repetitiously. Pitting always failed with the same particular Goblin cages. Then I noticed something odd... The Dwarves dropping those creatures into pit were crossing tiles with blood/mud on their way. Those pools were not close to stockpile either. So I fixed it and... Mass pitting never failed me ever again. Now I always fix everything dry in my fortress. Mass pitting for me works like clockwork. Unless I forget and then I have "oopsie!" moment.

Now, ask yourself, if they diagnosed this issue correctly, then why mass pitting for you still fails? Wouldn't it be easily patched already in some version 40.0x?

(0041286)
Nekkowe (reporter)
2022-08-03 14:22

In 0.47.05, I'm still getting this issue constantly.
Even individually un-caged goblins usually just escape and attack their handlers immediately. None of the workarounds in the wiki work reliably, including having the cage right next to the pit.

On top of how unbelievably unwieldy it is to disarm caged prisoners, and how there's no way to kill caged creatures *without* freeing them, it seems like this entire system needs a bit of a second look.

- Issue History
Date Modified Username Field Change
2017-12-12 23:12 Hinaichigo New Issue
2017-12-14 09:36 chaosvolt Note Added: 0037304
2017-12-14 16:44 Sarmatian123 Note Added: 0037308
2017-12-14 16:50 Sarmatian123 Note Edited: 0037308 View Revisions
2017-12-15 05:35 Hinaichigo Note Added: 0037315
2017-12-15 09:58 chaosvolt Note Added: 0037318
2017-12-15 19:21 Loci Note Added: 0037319
2017-12-15 19:23 Loci Note Edited: 0037308 View Revisions
2017-12-15 19:23 Loci Note Edited: 0037318 View Revisions
2017-12-15 20:10 Hinaichigo Note Added: 0037321
2017-12-15 20:30 chaosvolt Note Added: 0037322
2017-12-15 21:54 Sarmatian123 Note Added: 0037323
2017-12-15 21:58 Sarmatian123 Note Edited: 0037323 View Revisions
2017-12-15 21:59 Sarmatian123 Note Edited: 0037323 View Revisions
2017-12-15 22:01 Sarmatian123 Note Edited: 0037323 View Revisions
2017-12-15 22:02 Sarmatian123 Note Edited: 0037323 View Revisions
2017-12-15 22:08 chaosvolt Note Added: 0037324
2017-12-16 03:20 PatrikLundell Note Added: 0037325
2017-12-16 09:40 chaosvolt Note Added: 0037328
2017-12-16 09:42 chaosvolt Note Edited: 0037328 View Revisions
2017-12-16 09:42 chaosvolt Note Edited: 0037328 View Revisions
2017-12-16 10:05 Sarmatian123 Note Added: 0037329
2017-12-16 10:25 Sarmatian123 Note Edited: 0037329 View Revisions
2017-12-16 10:26 Sarmatian123 Note Edited: 0037329 View Revisions
2017-12-16 13:07 Loci Assigned To => Loci
2017-12-16 13:07 Loci Status new => acknowledged
2017-12-16 13:09 Loci Tag Attached: Intentional/Expected?
2022-08-03 14:22 Nekkowe Note Added: 0041286


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker